### Function

# ICalGLib Property method_from_string

since: 1.0

#### Declaration [src]

    ICalPropertyMethod
    i_cal_property_method_from_string (
      const gchar* str
    )

#### Description [src]

Converts the string to `ICalPropertyKind`.

Available since: 1.0

#### Parameters

`str`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ICalPropertyMethod`

The `ICalPropertyMethod`.